<?php

/* utf8-marker = äöü
==========================================
CMSimple Plugin rp_plugin
Version rp_plugin 0.1
Release: 2023-02-14
Idea: RP  http://www.robisys.de
Programming:  http://www.robisys.de
==========================================
License: GPL3 - no warranties
==========================================
*/

initvar('rp_plugin');

if($rp_plugin)
{
	if(!defined('CMSIMPLE_VERSION'))
	{
		$o.= '<p><b>rp_plugin</b> requires <b>CMSimple 4.2</b> or higher.</p><p><a href="http://www.cmsimple.org/">CMSimple Download & Updates &raquo;</a></p>';
		return;
	}
	
	if(defined('XH_ADM'))
	{
		$o.= '<div style="font-size: 15px; font-family: arial, sans-serif; letter-spacing: 0;">
<h4><a href="?rp_plugin">Plugin Info &raquo;</a></h4>
<p style="line-height: 1.6em;"><b>rp_plugin</b>&nbsp;by&nbsp;<a href="http://www.ge-webdesign.de/cmsimpleplugins/"><u>ge-webdesign.de&nbsp;&raquo;</u></a> &nbsp; 
for&nbsp;<b>CMSimple&nbsp;4.0</b>&nbsp;or&nbsp;higher&nbsp;from&nbsp;<a href="http://www.cmsimple.org/"><u>cmsimple.org&nbsp;&raquo;</u></a></p>
</div>';
	}
	else
	{
		$o.= '<div style="font-size: 15px; font-family: arial, sans-serif; letter-spacing: 0; padding: 0 0 6px 0;">
<b><a href="?rp_plugin">Plugin Info &raquo;</a></b>
</div>
';
	}
	
	$admin= isset($_POST['admin']) ? $_POST['admin'] : $admin = isset($_GET['admin']) ? $_GET['admin'] : '';
	$action= isset($_POST['action']) ? $_POST['action'] : $action = isset($_GET['action']) ? $_GET['action'] : '';
	$plugin=basename(dirname(__FILE__),"/");
	//Set to OFF if menu not needed
        $o .= print_plugin_admin('on');
	
	if($admin <> 'plugin_main')
	{
		$o .= plugin_admin_common($action,$admin,$plugin, array('mode_donotshowvarnames' => 0));
	}
	
	if ($admin == 'plugin_main') 
	{
		if($adm)
		{
			$o .= '<p class="cmsimplecore_warning" style="padding: 12px 24px; text-align: center;">' . $plugin_tx['rp_plugin']['message_ll_active'] . '</p>';
		}
	
	
//		$acturl = "http://" . $_SERVER['HTTP_HOST'] . $_SERVER['PHP_SELF'] . "?&" . $plugin . "&admin=plugin_main&action=plugin_text";
//		$o .= plugin_admin_common($action, $admin, $plugin);
// einfügen

                if(file_exists($pth['folder']['templates'].'__cmsimple_backend__/template.htm'))
                {
                        $pth['folder']['template'] = $pth['folder']['templates'].'__cmsimple_backend__/';
                        $pth['file']['template'] = $pth['folder']['template'].'template.htm';
                        $pth['file']['stylesheet'] = $pth['folder']['template'].'stylesheet.css';
                        $pth['folder']['menubuttons'] = $pth['folder']['template'].'menu/';
                        $pth['folder']['templateimages'] = $pth['folder']['template'].'images/';
                        $cf['meta']['robots'] = 'noindex, nofollow';
                }

                $subsiteLevelArray = explode('/', $sn);
                array_pop($subsiteLevelArray);
                $subsiteLevel3 = array_pop($subsiteLevelArray);
                $subsiteLevel2 = array_pop($subsiteLevelArray);

                $subsiteLevel = '';

                if($pth['folder']['base'] == '../' && is_writable('./' . $plugin_cf['multimedia2']['filepath_audio']) && is_writable('./' . $plugin_cf['multimedia2']['filepath_video']))
                {
                        $subsiteLevel = $subsiteLevel3 . '/';
                }

                if($pth['folder']['base'] == '../../' && is_writable('./' . $plugin_cf['multimedia2']['filepath_audio']) && is_writable('./' . $plugin_cf['multimedia2']['filepath_video']))
                {
                        $subsiteLevel = $subsiteLevel2 . '/' . $subsiteLevel3 . '/';
                }


                $o.='<h4>' . $plugin_tx['rp_plugin']['headline_upload_files'] . '</h4>';
                $o.='<p><a href="?userfiles&subdir=' . $subsiteLevel . $plugin_cf['rp_plugin']['filepath_audio'] . '">' . $plugin_tx['rp_plugin']['upload_audio_files'] . '</a></p>';
                $o.='<p><a href="?userfiles&subdir=' . $subsiteLevel . $plugin_cf['rp_plugin']['filepath_video'] . '">' . $plugin_tx['rp_plugin']['upload_video_files'] . '</a></p>';

//einfügen ende
	}



	
	if($admin == '') 
	{
		$o .= "\n".'<div class="plugintext">
<div class="plugineditcaption">'.ucfirst(str_replace('_',' ',$plugin)).'</div>
<p><b>Version  0.1  </b></p>
<ul>
<li>&copy;2023 RP for CMSimple 5.10, <a href="http://www.robisys.de/" target="_blank">robisys.de</a></li>
<li>&copy;2013 RP, <a href="http://www.robisys.de/" target="_blank">robisys</a></li>
</ul>
';
               
		$o .= '<p>' . $plugin_tx['rp_plugin']['description'] . '</p><hr style="margin: 20px 0;"/>';
		$o .= '<p style="text-align: justify; font-size:80%;">This program is free software: you can redistribute it and/or modify'
		.' it under the terms of the GNU General Public License as published by'
		.' the Free Software Foundation, either version 3 of the License, or'
		.' (at your option) any later version.</p>'."\n"
		.'<p style="text-align: justify; font-size:80%">This program is distributed in the hope that it will be useful,'
		.' but WITHOUT ANY WARRANTY; without even the implied warranty of'
		.' MERCHAN&shy;TABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the'
		.' GNU General Public License for more details.</p>'."\n"
		.'<p style="text-align: justify; font-size:80%">You should have received a copy of the GNU General Public License'
		.' along with this program.  If not, see'
		.' <a href="http://www.gnu.org/licenses/gpl-3.0">http://www.gnu.org/licenses/gpl-3.0</a>.</p>'."\n";
		$o .= '<p style="font-weight: bold; line-height: 1.2em; font-size: 12px; color: rgb(102, 102, 102);"> THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM "AS IS" WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.</p>';
		$o .= '</div>'. tag('br');
	}
}

?>
